<!--
requesty
/CHANGELOG.md
©James Walker 2018. Licensed under the MIT License.
-->

requesty
========
*By James Walker. Licensed under the MIT License.*

## v1.4.2 (16-05-2019)
	- [#11] `Maker.makeFormData(...)` now always uses multiple-format name for file uploads, even if initially only a single `File` is added for the field, to ensure can add multiple later and to ensure all files submit consistency (previously could use both formats simultaneously which may cause issues for backend clients).

## v1.4.1 (16-05-2019)
	- [#10] Hotfix inadvertently broken Maker `makeFormData(...)` handling of `FileList` in %v1.4.0 due to incorrect accessing of `files` property when is already a `FileList`.

## v1.4.0 (16-05-2019)
	- [#9] Maker `makeFormData(...)` automatically and transparently handles `File` and `FileList` for uploads now (these can be mocked/replaced if needed).

## v1.3.0 (23-02-2019)
	- [#8] Add `req(...)` method to Requesty class to construct and send a request automatically and get the response; please refer to `README.md` for details.
	
## v1.2.0 (16-02-2019)
	- [#7] Greatly improve handling of request bodies by attempting to obey the `Content-Type` request header and not always converting request bodies to `multipart/form-data`; please refer to `README.md` for details.

## v1.1.4 (14-02-2019)
	- Update dependencies.
	- Update `CONTRIBUTING.md`.
	- Refactor `RequestError`.
	- Add error base class.
	- Add custom error classes for all thrown errors.
	- General refactoring and code tidy.
	- [#6] Maker `makeBodyPOST(...)` now uses body as-is if it is already a `FormData` instance instead of making a new one; more improvements around this area are coming in the next release!

## v1.1.3 (05-10-2018)
	- [#4] Fix npm wrong entrypoint; always use `.mjs` everywhere (note: depending on your tooling/workflow, you may need to update your build process since v1.1.2 to ensure your module loaders support `.mjs`).

## v1.1.2 (31-08-2018)
	- Use `.mjs` for all source files so can ES6-import locally in Node (for testing and use in ES6-compatible consumer projects).
	- Add unit tests for all modules.
	- Add missing documentation in `README`.
	- Tidy project structure + meta files; remove the bloat.

## v1.1.1 (11-07-2018)
	- Requesty constructor + set version property.
	- [#1] Hotfix wrong import path for `Response` in `XhrInterface`.
	- [#2] Fix default headers not being applied to requests due to wrong object assignment order in Maker.
	- [#3] Maker properly prepare objects in request bodies (JSON stringify) for POST as well as GET.

## v1.1.0 (07-07-2018)
	- Initial library release.

## Changes made prior to v1.1.0 are not published or documented.

©James Walker 2018. Licensed under the MIT License.

<!--
End of file.
-->